(function ($) {

    $.fn.postsListen = function (options) {
        var $this = this;

        var settings = $.extend({
            error_div: $('.page-error'),
            default_category: 'seo'
        }, options);

        $this.find('.switch-view').on('click', function () {
            var show = $(this).attr('href');


            if(show == "refresh"){
                location.reload();
                return false;
            }

            $this.find('.posts-place').hide();
            $this.find('div[data-display=' + show + ']').fadeIn();
        });


        return $this;
    };

    $.fn.itemListen = function () {
        var $this = this;

        $this.init = function () {
            $this.find('.data-category').hide();
            $this.find("." + 'content').fadeIn();

        }

        $this.find(".button").on('click', function () {
            var display = $(this).data('value');
            $this.find('.data-category').hide();
            $this.find("." + display).fadeIn();


        });

        $this.find("span.fa-refresh").on('click', function () {
            $this.find('.item-info').append('<div class="item-message"><div class="msg">' + $('#message-next_updated').data('text') + '</div></div>')
            setTimeout(function () {
                $this.find('.item-message').fadeOut().remove();
            }, 2500);
        });

        return $this;
    };

})(jQuery);

jQuery(document).ready(function () {

    
    if (jQuery('#ctlppu_posts').length > 0) {
        jQuery('#ctlppu_posts').postsListen();

        jQuery(".item-post").each(function () {
            jQuery(this).itemListen().init();
        });
        jQuery('[data-toggle="tooltip"]').tooltip({html: true});

    }


});












